import { login, res } from "./base";

interface userLogin { student_id: string, password: string }
interface loginres {
    student: {
        student_key: number,
        student_id: string,
        phone: string,
        password: string,
        student_name: string,
        score: number,
        ranking: number,
        subject_one: number,
        subject_two: number,
        subject_three: number,
        is_deleted: number,
        create_time: string,
        update_time: string
    },
    token: string
}
export async function userlogin({ student_id, password }: userLogin): Promise<res<loginres>> {
    const res = await login.post<res<loginres>>("/login",{ student_id, password })
    return res.data
}



